#
# spec file for package google-lato-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           google-lato-fonts
Version:        1.102
Release:        15.5
Summary:        Easily Readable Sans Serif Font
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            http://code.google.com/webfonts/family?family=Lato
Source0:        Lato.zip
Source1:        OFL.txt
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Lato is a sanserif typeface family designed in the Summer
2010 by Warsaw-based designer Łukasz Dziedzic (“Lato” means
“Summer” in Polish). In December 2010 the Lato family was
published under the open-source Open Font License by his
foundry tyPoland, with support from Google.

The semi-rounded details of the letters give Lato a feeling
of warmth, while the strong structure provides stability and
seriousness.

Lato consists of five weights (plus corresponding italics),
including a beautiful hairline style. The first release only
includes the Western character set, but pan-European Latin,
Cyrillic and Greek extensions, as well as small caps and
other typographic niceties are expected in 2011.

Designer: Łukasz Dziedzic

%prep
%setup -T -c %{name} -n %{name}
unzip -j %{SOURCE0}
chmod 644 *.ttf

%build
cp %{SOURCE1} .

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%dir %{_ttfontsdir}/
%{_ttfontsdir}/*
%doc OFL.txt

%changelog
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu Apr 19 2012 pgajdos@suse.com
- OFL-1.1 license
- added OFL.txt
* Sat Jan 28 2012 toms@opensuse.org
  Updated to latest version 1.102 (2011-10-28)
  * Added OpenType Layout features
  * Ssplit between desktop and web versions
  * Desktop version: all weights autohinted with FontLab Studio
  * Web version autohinted with ttfautohint 0.4 except the
  Hai and Lig weights
* Sat Jan 28 2012 toms@opensuse.org
- Moved to M17N:fonts
* Fri Apr  8 2011 toms@suse.de
- Fixed spec file openSUSE 11.4
* Wed Dec 22 2010 toms@suse.de
- First build
